Delete Schedule Campaign Data (Basic authentication)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete Scheduled Data API is used to delete the scheduled data inserted in the backend. Data is deleted based on row id. A sequence of numbers can be deleted in a single request by passing the range of row ids.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

👍

Note:

Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.

Header parameters

ParameterDescription
apiKey*Your CloudAgent account API Key
Content-Typeapplication/json

Body Params

{
"userName":"xxxxx",
"rowId":"xxxx"

}

ParameterDescription
userNameYour CouldAgent account username
rowId*Can be retrieved from Schedule Data status API
❗️

Note

  • Data can be deleted in below methods by passing desired row_id values
  • Single record (example: row_id=1)
  • Multiple numbers separated by commas ( example: row_id=2,3,5,6)
  • Range of numbers by passing rage (example: row_id=3-10)
  • Parameters with ‘*’ are considered to be mandatory parameters.

Possible responses

Success response"status": "success"
"message": {
Invalid api_key"status": "error"
"message": "No data found"
Missing row_id"status": "error"
"message": "Mandatory parameter row_id is missing
Invalid row_id"status": "error"
"message": "No data found"
Body Params
Headers
string
string
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!